Page MenuHomePhabricator

GOAL: Decouple Wikibase Repo(sitory) and Client
Closed, ResolvedPublic

Description

This is a main ticket tracking WMDE efforts on decoupling Wikibase Repository and Client components/applications in Summer 2020.

Expected outcome:

  • “Repo” and “Client” components are fully and clearly separated from each other
  • Long-term strategy outlined for organizing the “shared” logic
  • Long-term strategy outlined for organizing the “Repo” front end logic

Additional requirements related to migrating Wikibase extensions to use Extension Registration

  • WikibaseRepo uses Extension Registration
  • WikibaseClient uses Extension Registration

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 9 2020, 12:51 PM
WMDE-leszek triaged this task as High priority.Jun 9 2020, 12:51 PM
Izno added a subscriber: Izno.Jul 28 2020, 5:16 PM
Izno removed a subscriber: Izno.
Akuckartz added a subscriber: Akuckartz.

All subtasks are resolved. Can this issue be closed?

Ladsgroup closed this task as Resolved.Aug 10 2020, 12:50 PM
Ladsgroup claimed this task.

Yup!

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptAug 10 2020, 12:50 PM
Maintenance_bot moved this task from Incoming to Done on the User-Ladsgroup board.Aug 10 2020, 1:15 PM